import { IsArray, IsNotEmpty, IsString } from 'class-validator';
import { ContextItem } from './context-item';
import { Action } from './action.enum';
import { Domain } from './domain.enum';

export class DecisionRequest {
  @IsString()
  @IsNotEmpty()
  uuid: string;

  @IsString()
  @IsNotEmpty()
  domain: Domain;

  @IsString()
  @IsNotEmpty()
  action: Action;

  @IsArray()
  context?: Array<ContextItem>;
}
